TakenAt: 2025-04-15T16:15:46Z
TakenAtLocal: 2025-04-15T17:15:46Z
TakenSrc: meta
UID: pt67zmpngsqo9ud6
Type: image
Title: Portrait / Perranzabuloe / 2025
TimeZone: Europe/London
PlaceSrc: meta
Altitude: 76
Lat: 50.35866111111111
Lng: -5.144808333333334
Year: 2025
Month: 4
Day: 15
ISO: 160
Exposure: 1/50
FNumber: 1.78
FocalLength: 48
Quality: 4
Faces: 1
Details:
  Keywords: brown, complex, dunes, england, entertainment, perranzabuloe, portrait,
    recents, united-kingdom, view
  Software: 18.3.2
  SoftwareSrc: meta
CreatedAt: 2025-11-24T07:32:49Z
UpdatedAt: 2025-11-24T09:54:34Z
